﻿define a = Character('Agama', color="#1a75ff")
define b = Character('Bean', color="#29a329")

label start:
    
    play music "ocean-piano.mp3"
    
    scene bg black
    with fade
    
    "Once upon a time, the universe was abundant in Intergalactic Travelers. These Travelers visited many planets to spread happiness and development."
    
    "However, by doing so, the residents of those planets... Those with the blackest and greediest hearts came to the conclusion that if they could wield the Travelers' powers, they could rule the entire universe!"
    
    "Thus came the harrowing time of The Shadow Days, where all Intergalactic Travelers were hunted and killed for their powers."
    
    "Despite being the last survivors of their tragic people, two individuals continue their path with one intent..."
    
    scene bg fog
    with fade
    
    b "Agama, we're finally here!!!"
    
    show bean
    with dissolve
    
    b "..."
    
    hide bean
    with dissolve
    
    show together
    with dissolve
    
    a "..."
    
    b "..."
    b "... ..."
    b "... ... ..."
    b "....this planet is barren."
    b "..."
    
    a "Not for long."
    
    hide together
    with dissolve
    
    show facing
    with dissolve
    
    a "Give me one of your seeds."
    
    b "Here. Pick one. I have three left."
    
menu:
    
    "{image=images/seed-pink.png}":
        jump pinkseed
    
    "{image=images/seed-orange.png}":
        jump orangeseed
    
    "{image=images/seed-purple.png}":
        jump purpleseed


label pinkseed:

    hide facing
    with dissolve
    
    show together2 at left
    with dissolve
    
    "*rumble, rumble, rumble*"
    
    "*crack*"
    
    a "There we go."
    
    b "Wanna sit for the ride?"
    
    a "Yeah."
    
    hide together2
    with dissolve
    
    scene bg pink
    with fade
    
    stop music fadeout 5.0
    
    b "Wow. The seed turned out really nice. Look at that stone face!"
    
    a "Hah!"
    
    "*silence*"
    
    play music "medieval-medley.mp3"
    
    b "Do you ever wonder? If we should just stay...?"
    
    a "..."
    
    b "Then we won't need to be afraid of those hunters anymore."
    
    a "... ..."
    
    b "We could build a new life. Make a home. Stay hidden from everyone. Nobody'll ever be able to find us!"
    
    a "...I've wondered..."
    a "....sometimes..."
    
    b "... ... ..."
    b "Two more seeds."
    
    a "...Maybe after, huh?"
    a "We'll finish our mission. Bring life to two more planets. Then settle down somewhere."
    a "Maybe on the way, we'll meet someone else."
    a "I don't believe we're the last ones. There must be others out there."
    
    b "Yeah."
    b "Yeah, let's do that."
    
    "And so the two of them enjoyed their time together on this newly revived planet."
    
    "By night, they'll set out on another intergalactic adventure."
    
    "For now, this ends the story of Agama and Bean's journey."
    
    stop music fadeout 1.5
    
    return
    
label orangeseed:

    hide facing
    with dissolve
    
    show together2 at left
    with dissolve
    
    "*rumble, rumble, rumble*"
    
    "*crack*"
    
    a "There we go."
    
    b "Wanna sit for the ride?"
    
    a "Yeah."
    
    hide together2
    with dissolve
    
    scene bg orange
    with fade
    
    stop music fadeout 5.0
    
    b "Wow!!! Is that a cloud river?!"
    
    a "I think so!"
    
    b "That is so cool!!!"
    
    a "Yeah."
    
    "*silence*"
    
    play music "medieval-medley.mp3"
    
    b "Do you ever wonder? If we should just stay...?"
    
    a "..."
    
    b "Then we won't need to be afraid of those hunters anymore."
    
    a "... ..."
    
    b "We could build a new life. Make a home. Stay hidden from everyone. Nobody'll ever be able to find us!"
    
    a "...I've wondered..."
    a "....sometimes..."
    
    b "... ... ..."
    b "Two more seeds."
    
    a "...Maybe after, huh?"
    a "We'll finish our mission. Bring life to two more planets. Then settle down somewhere."
    a "Maybe on the way, we'll meet someone else."
    a "I don't believe we're the last ones. There must be others out there."
    
    b "Yeah."
    b "Yeah, let's do that."
    
    "And so the two of them enjoyed their time together on this newly revived planet."
    
    "By night, they'll set out on another intergalactic adventure."
    
    "For now, this ends the story of Agama and Bean's journey."
    
    stop music fadeout 1.5
    
    return
    
label purpleseed:
    
    hide facing
    with dissolve
    
    show together2 at left
    with dissolve
    
    "*rumble, rumble, rumble*"
    
    "*crack*"
    
    a "There we go."
    
    b "Wanna sit for the ride?"
    
    a "Yeah."
    
    hide together2
    with dissolve
    
    scene bg purple
    with fade
    
    stop music fadeout 5.0
    
    b "Whoa! This grass feels a little cold!"
    
    a "Yeah. The water looks...interesting."
    
    b "Hah! Totally."
    
    "*silence*"
    
    play music "medieval-medley.mp3"
    
    b "Do you ever wonder? If we should just stay...?"
    
    a "..."
    
    b "Then we won't need to be afraid of those hunters anymore."
    
    a "... ..."
    
    b "We could build a new life. Make a home. Stay hidden from everyone. Nobody'll ever be able to find us!"
    
    a "...I've wondered..."
    a "....sometimes..."
    
    b "... ... ..."
    b "Two more seeds."
    
    a "...Maybe after, huh?"
    a "We'll finish our mission. Bring life to two more planets. Then settle down somewhere."
    a "Maybe on the way, we'll meet someone else."
    a "I don't believe we're the last ones. There must be others out there."
    
    b "Yeah."
    b "Yeah, let's do that."
    
    "And so the two of them enjoyed their time together on this newly revived planet."
    
    "By night, they'll set out on another intergalactic adventure."
    
    "For now, this ends the story of Agama and Bean's journey."
    
    stop music fadeout 1.5
    
    return